Name:		neverball
Summary:	Roll a ball through an obstacle course
Version: 	1.5.4
Release: 	%mkrel 6
Url:		http://icculus.org/neverball/
Source0:	http://icculus.org/neverball/%{name}-%{version}.tar.bz2
Patch0:		neverball-1.5.2-fix-locale-dir.patch
Patch1:		neverball-1.5.4-dso.patch
Group:		Games/Arcade
License:	GPLv2+
Epoch:		1
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel
BuildRequires:	GL-devel
BuildRequires:	libphysfs-devel
Obsoletes:	neverputt
Provides:	neverputt = %{version}-%{release}

%description
Tilt the floor to roll a ball through an obstacle course within the
given time.  If the ball falls or time expires, a ball is lost.
This package inclutes neverputt, a golf game based on neverball.
Hardware accellerated OpenGL support with multitexture is required.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
sed -i "/Version/d" dist/%{name}.desktop.in
sed -i "/Version/d" dist/neverputt.desktop.in

%build
%make CFLAGS="$RPM_OPT_FLAGS -ansi `sdl-config --cflags`" ENABLE_NLS=1 DATADIR=%{_gamesdatadir}/%{name}/data

%install
install -m 755 -D %{name} %{buildroot}%{_gamesbindir}/%{name}
install -m 755 neverputt %{buildroot}%{_gamesbindir}/

mkdir -p %{buildroot}%{_gamesdatadir}/%{name}
rm -fr data/map-*/*.map
cp -a data %{buildroot}%{_gamesdatadir}/%{name}/

mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 dist/*.desktop %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_mandir}/man6
install -m 644 dist/*.6 %{buildroot}%{_mandir}/man6

for res in 16 24 32 48 64 128 256; do
    mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${res}x${res}/apps
    install -m 644 dist/neverball_${res}.png %{buildroot}%{_datadir}/icons/hicolor/${res}x${res}/apps/neverball.png
    install -m 644 dist/neverputt_${res}.png %{buildroot}%{_datadir}/icons/hicolor/${res}x${res}/apps/neverputt.png
done

cp -r locale %{buildroot}%{_datadir}/

%find_lang %{name}

%files -f %{name}.lang
%defattr(0755,root,root)
%{_gamesbindir}/%{name}
%{_gamesbindir}/neverputt
%defattr(0644,root,root)
%doc CHANGES README
%doc doc/*
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/*
%{_datadir}/applications/%name.desktop
%{_datadir}/applications/neverputt.desktop
%_datadir/icons/hicolor/*/apps/never*.png
%_mandir/man6/neverball.6*
%_mandir/man6/neverputt.6*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1:1.5.4-6.mga3
+ Revision: 361012
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 19 2012 cjw <cjw> 1:1.5.4-5.mga3
+ Revision: 282234
- fix file attributes

* Thu May 31 2012 dams <dams> 1:1.5.4-4.mga3
+ Revision: 252280
- add a patch from fedora to explicit link against -lX11 -lm to remove implicit library linkage

* Fri Mar 11 2011 stormi <stormi> 1:1.5.4-3.mga2
+ Revision: 68102
- remove old mdv stuff
- imported package neverball

